diff --git a/test-server/attack.sh b/test-server/attack.sh
index ba5b0b3a..bd160006 100755
--- a/test-server/attack.sh
+++ b/test-server/attack.sh
@@ -35,6 +35,13 @@ function check {
fi
fi
+ if [ "$1" = "media" ] ; then
+ if [ -z "`grep '
415
' /tmp/lwscap`" ] ; then
+ echo "FAIL: should have told unknown media type"
+ exit 1
+ fi
+ fi
+
if [ "$1" == "1" ] ; then
a="`dd if=$LOG bs=1 skip=$LEN 2>/dev/null |grep URI\ Arg\ 1\: | tr -s ' ' | cut -d' ' -f5-`"
if [ "$a" != "$2" ] ; then
@@ -208,6 +215,13 @@ echo -e "GET /test.html HTTP/1.1\x0d\x0a\x0d\x0aILLEGAL-PAYLOAD.................
check default
check
+echo
+echo "---- nonexistant file"
+rm -f /tmp/lwscap
+echo -e "GET nope HTTP/1.1\x0d\x0a\x0d\x0a" | nc $SERVER $PORT | sed '1,/^\r$/d'> /tmp/lwscap
+check media
+check
+
echo
echo "---- directory attack 1 (/../../../../etc/passwd should be /etc/passswd)"
rm -f /tmp/lwscap